# Contributing to Notific8

## Contributing

Want to contribute some code to the project? If so, here are some guidelines:

* Fork the project and create a feature branch
* Ensure existing tests continue to pass and write new ones as appropriate
* If the pull request fixes an issue filed on GitHub, be sure to mark that issue in the commit message as `Fixes #[issue number]`
* Make sure all CSS code is written in Sass and applied to all themes if necessary
* Don't use a different language other than the projects or modify the build tasks
* Be willing and able to answer any questions asked in comments on the pull request in a timely manner

## Bug Reports

When filing a bug report, please be sure to include enough detail to reproduce the error including (but not limited to):

* Browsers where the bug occurs including version numbers
* Frameworks being used on site (both JavaScript and CSS) that is making use of Notific8
* Screenshots for visual bugs
* Full console output including line numbers
